################################################################################
## Copyright (c) 2004-2006, Kay Misner<kay@misner.de>
##                          Eggert Ehmke<eggert.ehmke@berlin.de>
##
## This library is free software; you can redistribute it and/or
## modify it under the terms of the GNU  General Public
## License as published by the Free Software Foundation; either
## version 2 of the License, or any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.
##
## You should have received a copy of the GNU  General Public
## License along with this library; if not, write to the Free Software
## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
################################################################################

## Script (Python) "guestbook_addEntry"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##

# get form data
guest_name = context.REQUEST.get('guest_name', None)
email      = context.REQUEST.get('email', None)
url        = context.REQUEST.get('url', None)
comments   = context.REQUEST.get('comments', None)

# unique file id
id='entry_'+str(len(context.objectIds()))+'_'+str(DateTime().timeTime())

# Set date and time for creation_date
creation_date=str(DateTime(context.ZopeTime()))

if comments!='':
  # create the file
  context.manage_addProduct['OFSP'].manage_addFile(id, title="", file=comments)
                                               
  # add a guest_name string property
  doc=getattr(context, id)
  doc.manage_addProperty('guest_name', guest_name, 'string')
                                                     
  # add a email string property
  doc=getattr(context, id)
  doc.manage_addProperty('email', email, 'string')
                                                       
  # add a url string property
  doc=getattr(context, id)
  doc.manage_addProperty('url', url, 'string')
                                                                 
  # add the creationdate property
  doc=getattr(context, id)
  doc.manage_addProperty('creation_date', creation_date, 'string')
                                                                       
  # send mail to me
  try:
    mailhost=context.MailHost
  except:
    state.setError("MailHost", "There is no Mailhost specified (Script guestbook_addEntry)")
    state.set (status="failure", portal_status_message="There is no Mailhost specified")
              
  #send
  try:
    mailhost.send(comments,
                  context.portal_properties.ploneguestbook_properties.dest_email,
                  context.portal_properties.email_from_address,
                  context.portal_properties.ploneguestbook_properties.mSubj)

  except:
    state.setError ("Mail", "Mail could not be sent (Script guestbook_addEntry)")
    state.set (status="failure", portal_status_message="Mail could not be sent")

else:
  state.set (status="no_comment", portal_status_message="You must provide a comment")
return state
                                                                                 